%define with_python_version 2.5

Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		aubio
Version:	0.3.2
Release:	1
License:	GNU/GPL 
URL:		http://aubio.org/
Group:		Sound
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	A library for audio labeling
#Requires:	sqlite
#BuildRequires:	sqlite-devel
#BuildRequires:  flac-devel
BuildRequires:  alsa-lib-devel
BuildRequires:  glibc-devel
BuildRequires:	fftw-devel
BuildRequires:  libsamplerate-devel
BuildRequires:  libsndfile-devel
BuildRequires:  jack-audio-connection-kit-devel

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1


%description
aubio is a library for audio labelling. Its features include segmenting a sound file before each of its attacks, performing pitch detection, tapping the beat and producing midi streams from live audio. The name aubio comes from 'audio' with a typo: several transcription errors are likely to be found in the results too.


%package	devel
Summary:	%{name} development headers.
Group:		%{group}            
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%package python
Summary:        Python bindings for the %{name} library
Group:          %{group} 
Requires:       %{name} = %{version}
Requires:       %{_libdir}/python%(echo `python -c "import sys; print sys.version[0:3]"`)

%description python
Python bindings for the %{name} library

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix \
--mandir=%_mandir
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir
%_libdir/*.so.*
%_datadir/sounds

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.so
%_libdir/*.a
%_libdir/*.la
%_libdir/pkgconfig

%files python
%defattr(-,root,root)
%{_libdir}/python2.5/site-packages/%{name}/

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jul 15 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.3.2-1
- initial package release
